STOFFChart::Position Struct Reference

a cell position More...

`#include <STOFFChart.hxx>`

## Public Member Functions

| Position (STOFFVec2i pos=STOFFVec2i(-1,-1), librevenge::RVNGString const &sheetName="")
| constructor
bool | valid () const
| return true if the position is valid
bool | valid (Position const &maxPos) const
| return true if the position is valid
librevenge::RVNGString | getCellName () const
| return the cell name
bool | operator== (Position &pos) const
| operator==
bool | operator!= (Position &pos) const
| operator!=

## Public Attributes

STOFFVec2i | m_pos
| the cell column and row
librevenge::RVNGString | m_sheetName
| the cell sheet name

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFChart::Position const &pos)
| operator<<

## Detailed Description

a cell position

## Constructor & Destructor Documentation

## Position()

STOFFChart::Position::Position | ( | STOFFVec2i | pos = STOFFVec2i(-1,-1),
|  | librevenge::RVNGString const & | sheetName = "" )

inline explicit

constructor

Referenced by operator!=(), operator==(), and valid().

## Member Function Documentation

## getCellName()

librevenge::RVNGString STOFFChart::Position::getCellName | ( |  | ) | const

return the cell name

## operator!=()

bool STOFFChart::Position::operator!= | ( | Position & | pos | ) | const

inline

operator!=

## operator==()

bool STOFFChart::Position::operator== | ( | Position & | pos | ) | const

inline

operator==

Referenced by operator!=().

## valid() [1/2]

bool STOFFChart::Position::valid | ( |  | ) | const

inline

return true if the position is valid

Referenced by getCellName(), STOFFChart::Axis::operator<<, operator<<, STOFFChart::Serie::operator<<, and valid().

## valid() [2/2]

bool STOFFChart::Position::valid | ( | Position const & | maxPos | ) | const

inline

return true if the position is valid

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Position const & | pos )

friend

operator<<

## Member Data Documentation

## m_pos

STOFFVec2i STOFFChart::Position::m_pos

the cell column and row

Referenced by getCellName(), operator<<, operator==(), Position(), valid(), and valid().

## m_sheetName

librevenge::RVNGString STOFFChart::Position::m_sheetName

the cell sheet name

Referenced by getCellName(), operator<<, operator==(), Position(), and valid().

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx